# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ktron (executable) ########################

tde_add_executable( ktron AUTOMOC
  SOURCES ai.ui appearance.ui general.ui tron.cpp player.cpp ktron.cpp main.cpp
    settings.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES ktron.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install( FILES ktron.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

install( FILES ktronui.rc
  DESTINATION ${DATA_INSTALL_DIR}/ktron
)
